summaryrefslogtreecommitdiffstats
path: root/source/l/db48/db48.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/db48/db48.SlackBuild')
-rwxr-xr-xsource/l/db48/db48.SlackBuild143
1 files changed, 143 insertions, 0 deletions
diff --git a/source/l/db48/db48.SlackBuild b/source/l/db48/db48.SlackBuild
new file mode 100755
index 000000000..2a6c29eb1
--- /dev/null
+++ b/source/l/db48/db48.SlackBuild
@@ -0,0 +1,143 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=db48
+VERSION=4.8.30
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf db-$VERSION
+tar xvf $CWD/db-$VERSION.tar.xz
+cd db-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+rm -rf build-dir
+mkdir build-dir
+cd build-dir
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+../dist/configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-shared \
+ --enable-cxx \
+ --enable-compat185 \
+ --disable-test \
+ --build=$ARCH-slackware-linux || exit 1
+
+make $NUMJOBS || make || exit 1
+make -i install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Remove WAY TOO LARGE (and misplaced) docs:
+# This can be fixed with "docdir=/usr/doc/$PKGNAM-$VERSION" passed to make
+# but there's not really a good reason to do that given they'll be removed
+rm -rf $PKG/usr/docs
+mkdir -p $PKG/usr/doc/db-$VERSION
+cp -a \
+ ../LICENSE ../README \
+ $PKG/usr/doc/db-$VERSION
+cat << EOF > $PKG/usr/doc/db-$VERSION/README-DOCS
+
+ For a ton of additional documentation (too large to include
+ here) on writing source code that uses libdb$PKGNAM, please see
+ the original source tarball db-$VERSION.tar.xz, which can be found
+ on Oracle's web site:
+
+ http://www.oracle.com/technetwork/products/berkeleydb/overview/index.html
+
+EOF
+
+# Move include files:
+( cd $PKG/usr/include
+ mkdir $PKGNAM
+ mv *.h $PKGNAM
+ for file in $PKGNAM/* ; do
+ ln -sf $file .
+ done
+)
+
+# Put libdb-4.8.so into /lib${LIBDIRSUFFIX} since it might be needed
+# before /usr is mounted (eg, nsswitch.conf can be set up to
+# use databases instead of flat files)
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+mv $PKG/usr/lib${LIBDIRSUFFIX}/libdb-4.8.so $PKG/lib${LIBDIRSUFFIX}/libdb-4.8.so
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf /lib${LIBDIRSUFFIX}/libdb-4.8.so .
+)
+
+# Some things might look for these libraries by other names.
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ ln -sf libdb-4.8.a libdb-4.a
+ ln -sf libdb-4.8.a libdb4.a
+ ln -sf libdb-4.8.a libdb.a
+ ln -sf libdb_cxx-4.8.a libdb_cxx-4.a
+ ln -sf libdb_cxx-4.8.a libdb_cxx.a
+ ln -sf libdb-4.8.so libdb4.so
+ ln -sf libdb-4.8.so libdb.so
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz